import org.chocosolver.solver.variables.IntVar;

public class Decision {
    IntVar d;
    Operation op_i;
    Operation op_j;

    Decision(IntVar d,Operation op_i,Operation op_j){
	this.d    = d;
	this.op_i = op_i;
	this.op_j = op_j;
    }

    public String toString(){return "{" + d + " " + op_i +  " " + op_j + "}";}

    IntVar getD(){return d;}
    Operation getOp_i(){return op_i;}
    Operation getOp_j(){return op_j;}
}
//
// A Decision is a triple where 0/1 variable d decides
// the ordering between two operations on a resource
//
