import org.chocosolver.solver.*;
import org.chocosolver.solver.variables.*;
import org.chocosolver.solver.constraints.*;
import org.chocosolver.solver.search.strategy.selectors.*;

public class MyDVO implements VariableSelector<IntVar>, VariableEvaluator<IntVar> {


    
@Override
    public IntVar getVariable(IntVar[] var){
	for (IntVar v : var)
	    if (!v.isInstantiated()) return v;
	return null;
    }

@Override
    public double evaluate(IntVar v){
    return v.getDomainSize();
}
}

