import org.chocosolver.solver.variables.*;
import org.chocosolver.solver.search.strategy.selectors.*;

public class MyDVO2 implements VariableSelector<IntVar> {

    int[] hot;

    public MyDVO2(int[] hot){this.hot = hot;}
    
    @Override
	public IntVar getVariable(IntVar[] v){
	IntVar selected = null;
	for (int i=0;i<v.length;i++){
	    if (!v[i].isInstantiated() && selected == null) selected = v[i];
	    else if (!v[i].isInstantiated() && hot[i] == 1) selected = v[i];
	}
	return selected;
    }
}
//
// example DVO that takes additional argument ... and is then used as follows
//
//      solver.set(new IntStrategy(v,new MyDVO2(hot),new IntDomainMin()));
//
// where hot is an int[]
//

